import { Command, Inhibitor } from "discord-akairo";
import { Message } from "discord.js";

class InGuild extends Inhibitor {
  constructor() {
    super("InGuild", {
      reason: "no guild",
      type: "post",
      priority: 2,
    });
  }

  async exec(message: Message, command: Command) {
    // we handle no guild somewhere else
    if (message.guild) return false;

    return true;
  }
}

export default InGuild;
